Bug 252532 - Make it possible to obtain the default profile using dbus
Summary: Make it possible to obtain the default profile using dbus
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: 2.4.3
Platform: OpenSUSE Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-27 13:53 UTC by Flavio Castelli
Modified: 2012-04-20 05:40 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Flavio Castelli 2010-09-27 13:53:48 UTC
Version:           2.4.3 (using KDE 4.4.4) 
OS:                Linux

Currently konsole's dbus interface doesn't offer this feature.
org.kde.konsole /Konsole org.kde.konsole.Konsole.profileList method returns a list of all the available profiles but the default profile isn't neither marked in special way nor placed at the beginning of the returned array.

Reproducible: Always



Expected Results:  
It should provide a dedicated api or put the default profile at the beginning of the array returned by org.kde.konsole /Konsole org.kde.konsole.Konsole.profileList
Comment 1 Jekyll Wu 2012-02-07 11:37:41 UTC
Git commit 52f656663f539df8a53a8a2627e569d0c4065a7a by Jekyll Wu.
Committed on 07/02/2012 at 12:16.
Pushed by jekyllwu into branch 'master'.

Add dbus method for returning the name of the default profile
FIXED-IN:4.9

M  +5    -0    src/ViewManager.cpp
M  +3    -0    src/ViewManager.h

http://commits.kde.org/konsole/52f656663f539df8a53a8a2627e569d0c4065a7a